Subject: [ncrg] NCRG Meeting tomorrow

From: "Michael Behringer (mbehring)" <[email-masked]>
Date: Tue, 12 Mar 2013 18:19:00 +0000

The materials are now uploaded. 

We need someone to take notes, and if possible a jabber scribe. 

Who volunteers for either? :-)  

Thanks!
Michael

---

From: Bob Briscoe <[email-masked]>
Date: Thu, 14 Mar 2013 14:15:37 +0000

Dave,

At one point in your talk on SDN & complexity, you pointed to just 
under the neck of the classic TCP/IP hourglass as the point that the 
originators of SDN chose to address.

The message wrt complexity is really the reverse. SDN doesn't attack 
the narrowest (least diverse) layer, it attacks the fattest (most 
diverse) layer, in an attempt to narrow it to a single standard 
(cutting out complexity).

Reason: The hour-glass represents the data plane. SDN concerns the 
control plane (specifically routing). The equivalent of the 
hour-glass in the control plane has evolved into an inverse 
hour-glass - a fatty-glass. See slide #8 or even #15 in Rui's 
presentation here:
<https://www.net.t-labs.tu-berlin.de/arcadia/talks/Aguiar.pdf>
or the paper: "Some comments on hour glasses"
<http://dl.acm.org/citation.cfm?id=1452346>

The more important a layer is for interoperability, the thinner the 
layer. All the different routing protocols make the control plane 
into a fatty-glass, because there is no /operational/ need for 
interop between routing protocols within different ASs.

SDN attempts to narrow the control fatty-glass by standardisation of 
intra-domain policy-routing at build time, which implies the industry 
is maturing from a focus on run-time conformity (between operators) 
in the data plane by adding build-time conformity (between vendors) 
in the control plane.

Bob

________________________________________________________________
Bob Briscoe,                                                  BT

---

From: David Meyer <[email-masked]>
Date: Thu, 14 Mar 2013 10:26:17 -0400

So the message was that scalable evolvable systems have certain
architectural structures. One of them is the bowtie (or hourglass,
depending on whether you view a systems' layering to be horizontal or
vertical). In general the Internet has an "hourglass" architecture
(mod all of the variations) which is part of what has allowed both
scale and innovation above/below the "waist".

That said,  the question I posed is how was essentially "how is
OpenFlow (specifically *not* SDN) related to the Internet hourglass
(if at all)"?

--dmm

On Thu, Mar 14, 2013 at 10:15 AM, Bob Briscoe <[email-masked]> wrote:
> Dave,
>
> At one point in your talk on SDN & complexity, you pointed to just under the
> neck of the classic TCP/IP hourglass as the point that the originators of
> SDN chose to address.
>
> The message wrt complexity is really the reverse. SDN doesn't attack the
> narrowest (least diverse) layer, it attacks the fattest (most diverse)
> layer, in an attempt to narrow it to a single standard (cutting out
> complexity).
>
> Reason: The hour-glass represents the data plane. SDN concerns the control
> plane (specifically routing). The equivalent of the hour-glass in the
> control plane has evolved into an inverse hour-glass - a fatty-glass. See
> slide #8 or even #15 in Rui's presentation here:
> The more important a layer is for interoperability, the thinner the layer.
> All the different routing protocols make the control plane into a
> fatty-glass, because there is no /operational/ need for interop between
> routing protocols within different ASs.
>
> intra-domain policy-routing at build time, which implies the industry is
> maturing from a focus on run-time conformity (between operators) in the data
> plane by adding build-time conformity (between vendors) in the control
> plane.
>
>
> Bob
>
>
>

---

From: Keith Jones <[email-masked]>
Date: Thu, 14 Mar 2013 14:58:51 +0000

Hi all,

I am very new to SDN's and the architecture, but unlike many here, old enough to remember SS7. This whole SDN architecture reminds me of SS7 I wonder if there are any leassons we can learn from that?

Feel free to shoot me down.

all the best

Keith
"If you can not measure it, you can not improve it." Lord Kelvin
________________________________________
From: [email-masked] [[email-masked]] On Behalf Of Bob Briscoe [[email-masked]]
Sent: 14 March 2013 14:15
To: Dave MEYER
Cc: [email-masked]; Rui Aguiar
Subject: [ncrg] SDN addresses control plane complexity, not data plane

Dave,

Bob

_______________________________________________
ncrg mailing list
[email-masked]
https://www.irtf.org/mailman/listinfo/ncrg